Package de.willuhn.jameica.hbci.gui.parts

# Class SparQuote.UmsatzEntry

java.lang.Object
de.willuhn.jameica.hbci.gui.parts.SparQuote.UmsatzEntry

Enclosing class:
  `SparQuote`

public static class SparQuote.UmsatzEntry extends Object
Hilfsobjekt fuer die einzelnen Monate.

## Constructor Summary

Constructors
Constructor
Description
`UmsatzEntry()`

## Method Summary

Modifier and Type
Method
Description
`double`
`getAusgaben()`
Liefert die Ausgaben.
`double`
`getEinnahmen()`
Liefert die Einnahmen.
`Date`
`getEnd()`
Liefert das End-Datum.
`double`
`getSparquote()`
Liefert die Sparquote.
`Date`
`getStart()`
Liefert das Start-Datum.
`String`
`getText()`
Liefert den Text.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzEntry

public UmsatzEntry()

## Method Details

### getEinnahmen

public double getEinnahmen()
Liefert die Einnahmen.

Returns:
  die Einnahmen.

### getStart

public Date getStart()
Liefert das Start-Datum.

Returns:
  das Start-Datum.

### getEnd

public Date getEnd()
Liefert das End-Datum.

Returns:
  das End-Datum.

### getAusgaben

public double getAusgaben()
Liefert die Ausgaben.

Returns:
  die Ausgaben.

### getText

public String getText()
Liefert den Text. Nicht entfernen! Wird fuer den Text im Velocity-Export gebraucht.

Returns:
  der Text.

### getSparquote

public double getSparquote()
Liefert die Sparquote.

Returns:
  die Sparquote.